import { NgForm } from '@angular/forms';
import { NotificationService } from './../../services/notification.service';
import { ChangeDetectorRef, EventEmitter, Renderer2 } from '@angular/core';
import { StorageService, ApiService } from '@dotgov/core';
import { Task, ProcessService, Control } from '@dotgov/formviewer';
export declare class FBRendererComponent extends StorageService {
    private api;
    private process;
    private notification;
    private ref;
    private renderer;
    previewMode: boolean;
    loading: boolean;
    selectedTab: any;
    selectedTabIndex: number;
    private _formBuilderHelper;
    private _activeTask;
    private _controlDown;
    private _rendererSubscriptions;
    reset: EventEmitter<boolean>;
    formRenderer: NgForm;
    task: Task;
    readonly processId: string;
    readonly stateId: string;
    constructor(api: ApiService, process: ProcessService, notification: NotificationService, ref: ChangeDetectorRef, renderer: Renderer2);
    formNameChanged(newName: any): void;
    tabNameChanged(tab: any, tabIndex: number, value: string): void;
    addNewTab(container: any): void;
    isActive(tab: any, tabIndex?: number): boolean;
    removeTabHandler(tab: any, container: any, index: number): void;
    move(container: any, tabIndex: any, direction: any): void;
    resetAll(): void;
    saveAll(): void;
    columnClass(count: number): string;
    visibleColumns(control: Control): any;
    switchMode(): void;
    exportToJson(): void;
    importFromJson(): void;
    updateFormGroup(event: any): void;
    isHidden(control: Control): boolean;
    controlType(num: number): string;
    private download(filename, text);
    private hackLook(cb);
    private readonly form;
    private documentKeydown(event);
    private documentKeyup();
}
