import { Field, Control } from '@dotgov/formviewer';
export interface ISorting extends Object {
    sortable?: boolean;
    asc?: boolean;
    active?: boolean;
    label?: string;
    key?: string;
}
export declare class FormBuilderHelper {
    constructor();
    resolveBuilderModel(model: Field): any;
    sanitizeFields(fields: Field[], filters: any, sortings: ISorting[]): any[];
    applySort(arr: any[], sortings: ISorting[]): any[];
    readonly defaultSortings: {
        title: {
            sortable: boolean;
            active: boolean;
            asc: any;
        } & ISorting;
        name: {
            sortable: boolean;
            active: boolean;
            asc: any;
        } & ISorting;
        referenceName: {
            sortable: boolean;
            active: boolean;
            asc: any;
        } & ISorting;
        description: {
            sortable: boolean;
            active: boolean;
            asc: any;
        } & ISorting;
        label: {
            sortable: boolean;
            active: boolean;
            asc: any;
        } & ISorting;
        size: {
            sortable: boolean;
            active: boolean;
            asc: any;
        } & ISorting;
    };
    applyFilter(to: Field[], _filter: string): Field[];
    readonly basicFields: Control[];
    propertiesByControlType(control: Control): any[];
    AbstractControl(control: any, showUnknown?: boolean): any;
    sanitizeProperties(properties: Object, form: any, controlsMeta: any): {
        type: any;
        value: any;
        name: string;
        id: string;
    }[];
    /**
     * Searchs controls for key, returns chained value
     * @param obj
     * @param key
     */
    findControl(obj: any, key: any): any;
    sanitizeFinalTask(control: any): any;
    move(array: any, from: any, to: any): any;
}
